unit DrawableItems;

interface

uses Types, Graphics;

type
  TDrawableItem = class(TObject)
  public
    procedure Draw(Canvas: TCanvas; Rect: TRect);
  end;

implementation

procedure TDrawableItem.Draw(Canvas: TCanvas; Rect: TRect);
begin
  Canvas.Ellipse(Rect);
  Canvas.TextOut(Rect.Left+15,Rect.Top+5,'Text');
end;

end.
