// : http://forum.codenet.ru/q75175
// : http://forum.vingrad.ru/topic-43910.html

unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, StdCtrls;

type
  TMainForm = class(TForm)
    StringGrid: TStringGrid;
    Label1: TLabel;
    procedure StringGridMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure StringGridDrawCell(Sender: TObject; ACol, ARow: Integer;
      Rect: TRect; State: TGridDrawState);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

uses DrawableItems;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
var
  I: Integer;
  J: Integer;
begin
  for I := 0 to StringGrid.ColCount - 1 do
    for J := 0 to StringGrid.RowCount - 1 do
      StringGrid.Objects[I,J].Free; 
end;

procedure TMainForm.StringGridDrawCell(Sender: TObject; ACol, ARow: Integer;
  Rect: TRect; State: TGridDrawState);
var
  DI: TDrawableItem;
begin
  DI:= TDrawableItem((Sender as TStringGrid).Objects[ACol, ARow]);
  if DI <> Nil then DI.Draw((Sender as TStringGrid).Canvas, Rect);
end;

procedure TMainForm.StringGridMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin

  If Button <> mbLeft then exit;

  //       
  (Sender as TStringGrid).Objects[StringGrid.Col, StringGrid.Row].Free;
  (Sender as TStringGrid).Objects[StringGrid.Col, StringGrid.Row]:= Nil;

  (Sender as TStringGrid).Objects[StringGrid.Col, StringGrid.Row]:=
    TDrawableItem.Create;
    
end;

end.
